## ocaml-getopt 0.0.20040811

=== Makefile ===
all: doc getopt.cmi getopt.cma
allopt: doc getopt.cmi getopt.cma getopt.cmxa

getopt.cmo: getopt.cmi getopt.ml
	ocamlc -c getopt.ml

getopt.cmi: getopt.mli
	ocamlc -c getopt.mli

getopt.cma: getopt.cmo
	ocamlc -o getopt.cma -a getopt.cmo

getopt.cmxa: getopt.cmx
	ocamlopt -o getopt.cmxa -a getopt.cmx

getopt.cmx: getopt.cmi getopt.ml
	ocamlopt -c getopt.ml

sample.cmo: getopt.cmi sample.ml
	ocamlc -c sample.ml

sample: getopt.cma sample.cmo
	ocamlc -o sample unix.cma getopt.cma sample.cmo

install:
	ocamlfind install getopt META getopt.cmi getopt.cma $(wildcard getopt.cmxa) $(wildcard getopt.o) $(wildcard getopt.a)

uninstall:
	ocamlfind remove getopt

.PHONY: doc
doc:
	mkdir -p doc
	ocamldoc -d doc -html getopt.mli

clean:
	rm -f *.cm[ioxa] *.cmxa *.a *.o sample *~
	rm -Rf doc

=== debian/changelog ===
ocaml-getopt (0.0.20040811-11) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Bump Standards-Version to 4.6.0
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no
  * Bump debian/watch version to 4

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Upgrade to newer source format 3.0 (quilt).
  * Set debhelper-compat version in Build-Depends.
  * Remove MIA uploaders

 -- Stéphane Glondu <glondu@debian.org>  Mon, 07 Mar 2022 15:25:48 +0100

ocaml-getopt (0.0.20040811-10) unstable; urgency=low

  [ Stéphane Glondu ]
  * Switch packaging to git

  [ Mehdi Dogguy ]
  * Refresh packaging:
    - Use debhelper (>= 7.0.50~)
    - Updated standards version to 3.8.3
    - Use new features of dh-ocaml (>= 0.9~)
  * Install debian/libgetopt-ocaml-dev.doc-base by hand instead of
    using ocamldoc-api-ref-config (Closes: #549796)

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 08 Oct 2009 18:33:02 +0200

ocaml-getopt (0.0.20040811-9) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Mehdi Dogguy ]
  * Add dh-ocaml as a build-dependency
  * Use new Ocaml's standard library location
  * Updated standards version to 3.8.2
  * Move the package to section ocaml
  * Move maintainer to uploaders and mark d-o-m as maintainer
  * Add myself to uploaders
  * Build-depend on ocaml 3.11.1
  * Add a watch file
  * Add a homepage field
  * Add a copyright notice
  * Register documentation with docbase

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Wed, 01 Jul 2009 11:44:35 +0200

ocaml-getopt (0.0.20040811-8) unstable; urgency=low

  * rebuild with 3.10.0

 -- Mike Furr <mfurr@debian.org>  Fri, 07 Sep 2007 17:14:07 -0400

ocaml-getopt (0.0.20040811-7) unstable; urgency=low

  * Install html documentation, thanks to Georg Neis.

 -- Mike Furr <mfurr@debian.org>  Thu,  1 Feb 2007 16:28:06 -0500

ocaml-getopt (0.0.20040811-6) unstable; urgency=low

  * Install the getopt.mli file (Closes: #387131)
  * Removed control.in per new policy
  * Updated standards version to 3.7.2 (no changes)
  * changed to svn-buildpackage compatible layout in svn

 -- Mike Furr <mfurr@debian.org>  Thu, 14 Sep 2006 10:45:34 -0400

ocaml-getopt (0.0.20040811-5) unstable; urgency=low

  * Oops, missed one hard-coded path which caused everything
    to be installed into 3.09.0 instead of .1

 -- Mike Furr <mfurr@debian.org>  Tue, 17 Jan 2006 20:21:48 -0500

ocaml-getopt (0.0.20040811-4) unstable; urgency=low

  * Remove hard-coded abi strings
  * Rebuild with 3.09.1

 -- Mike Furr <mfurr@debian.org>  Sun,  8 Jan 2006 13:30:50 -0500

ocaml-getopt (0.0.20040811-3) unstable; urgency=low

  * Rebuild with 3.09.0

 -- Mike Furr <mfurr@debian.org>  Fri, 25 Nov 2005 13:38:49 -0500

ocaml-getopt (0.0.20040811-2) unstable; urgency=low

  * Added depends on ocaml-nox-3.08.3 to ensure compatibility.
    (Closes: 306074)

 -- Mike Furr <mfurr@debian.org>  Sun, 24 Apr 2005 13:04:57 -0400

ocaml-getopt (0.0.20040811-1) unstable; urgency=low

  * Initial Release (Closes: 303971).

 -- Mike Furr <mfurr@debian.org>  Sat,  9 Apr 2005 18:00:56 -0400

=== debian/control ===
Source: ocaml-getopt
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-findlib (>> 1.2.4-2),
 dh-ocaml (>= 0.9~)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: http://alain.frisch.fr/soft.html#Getopt
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-getopt.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-getopt

Package: libgetopt-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 ${ocaml:Provides}
Description: command line parsing library for OCaml
 This package provides the Getopt module that is an alternative to the
 Arg module in the standard distribution.  Getopt supports the general
 command line syntax of GNU getopt and getopt_long, but is close to the
 spirit of the Arg module: the programmer gives to the general parsing
 function a list of possible options, together with the behavior of
 these options.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

override_dh_auto_build:
ifneq ($(OCAML_OPT_ARCH),)
	$(MAKE) allopt
else
	$(MAKE) all
endif

override_dh_auto_clean:
	$(MAKE) clean

override_dh_auto_install:
	dh_install doc/* usr/share/doc/libgetopt-ocaml-dev/html/
	mkdir -p $(CURDIR)/debian/libgetopt-ocaml-dev$(OCAML_STDLIB_DIR)
	$(MAKE) install OCAMLFIND_DESTDIR=$(CURDIR)/debian/libgetopt-ocaml-dev$(OCAML_STDLIB_DIR)
	cp getopt.mli $(CURDIR)/debian/libgetopt-ocaml-dev$(OCAML_STDLIB_DIR)/getopt

%:
	dh $@ --with ocaml

=== debian/watch ===
version=4
opts="uversionmangle=s/^/0.0./" \
http://alain.frisch.fr/info/getopt-([0-9]+)\.tar\.gz

## ocaml-getopt 0.0.20230213

=== debian/changelog ===
ocaml-getopt (0.0.20230213-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
    - Use the same upstream as in opam
  * Use ocaml_dune DH buildsystem
  * Bump Standards-Version to 4.6.2

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dh-ocaml and ocaml-findlib.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 26 Aug 2023 11:20:42 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  ocaml,
- ocaml-findlib (>> 1.2.4-2),
- dh-ocaml (>= 0.9~)
-Standards-Version: 4.6.0
+ ocaml-dune,
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: http://alain.frisch.fr/soft.html#Getopt
+Homepage: https://github.com/scemama/ocaml-getopt
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-getopt.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-getopt

=== debian/watch ===
version=4
opts="uversionmangle=s/^/0.0./" \
https://github.com/scemama/ocaml-getopt/tags .*/([0-9]+)\.tar\.gz
